## com.imcode.imcms.mapping
Class DocumentStoringVisitor

    java.lang.Object
      imcode.server.document.DocumentVisitor
          com.imcode.imcms.mapping.DocumentStoringVisitor

Direct Known Subclasses:
  DocumentCreatingVisitor, DocumentSavingVisitor

    public class DocumentStoringVisitor

extends DocumentVisitor

Field Summary
`protected ImcmsServices` `services`

Constructor Summary
`DocumentStoringVisitor(ImcmsServices services)`

Method Summary
`static java.io.File` `getFileForFileDocumentFile(int fileDocumentId, java.lang.String fileId)`
`protected void` `saveFileDocumentFile(int fileDocumentId, FileDocumentDomainObject.FileDocumentFile fileDocumentFile, java.lang.String fileId)`
`void` `updateTextDocumentContentLoops(TextDocumentDomainObject textDocument, TextDocumentDomainObject oldTextDocument, UserDomainObject user)`
`protected void` `updateTextDocumentMenus(TextDocumentDomainObject textDocument, TextDocumentDomainObject oldTextDocument, UserDomainObject savingUser)`
`void` `updateTextDocumentText(TextDomainObject text, UserDomainObject user)`
`void` `visitFileDocument(FileDocumentDomainObject fileDocument)`

Methods inherited from class imcode.server.document.DocumentVisitor
`visitHtmlDocument, visitOtherDocument, visitTextDocument, visitUrlDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### services

    protected ImcmsServices services

Constructor Detail

### DocumentStoringVisitor

    public DocumentStoringVisitor(ImcmsServices services)

Method Detail

### saveFileDocumentFile

    protected void saveFileDocumentFile(int fileDocumentId,
                                        FileDocumentDomainObject.FileDocumentFile fileDocumentFile,
                                        java.lang.String fileId)

### getFileForFileDocumentFile

    public static java.io.File getFileForFileDocumentFile(int fileDocumentId,
                                                          java.lang.String fileId)

### updateTextDocumentContentLoops

    public void updateTextDocumentContentLoops(TextDocumentDomainObject textDocument,
                                               TextDocumentDomainObject oldTextDocument,
                                               UserDomainObject user)

### updateTextDocumentText

    public void updateTextDocumentText(TextDomainObject text,
                                       UserDomainObject user)

### visitFileDocument

    public void visitFileDocument(FileDocumentDomainObject fileDocument)

  Overrides:
    `visitFileDocument` in class `DocumentVisitor`

### updateTextDocumentMenus

    protected void updateTextDocumentMenus(TextDocumentDomainObject textDocument,
                                           TextDocumentDomainObject oldTextDocument,
                                           UserDomainObject savingUser)